Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build
Class DefaultBuildDefinitionManager

    java.lang.Object
      com.atlassian.bamboo.build.DefaultBuildDefinitionManager

All Implemented Interfaces:
  BuildDefinitionManager

    public class DefaultBuildDefinitionManager

extends Object
implements BuildDefinitionManager

Constructor Summary
`DefaultBuildDefinitionManager()`

Method Summary
`BuildDefinition` | `getBuildDefinition(Build build)` Returns a stateful version the build definition for the `Build`.
`void` | `removeBuildDefinition(Build build)`
`void` | `setBuildDefinitionConverter(BuildDefinitionConverter buildDefinitionConverter)`
`void` | `updateBuildDefinition(Build build)` Updates the build definition in the cache
`void` | `updateBuildDefinition(Build build, BuildDefinition oldBuildDefinition)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultBuildDefinitionManager

    public DefaultBuildDefinitionManager()

Method Detail

### getBuildDefinition

    public BuildDefinition getBuildDefinition(Build build)

  Description copied from interface: `BuildDefinitionManager`
  Returns a stateful version the build definition for the `Build`. This means that when you set various flags on it, the flags won't be lost (unless you updated your `BuildDefinition`.

  Specified by:
    `getBuildDefinition` in interface `BuildDefinitionManager`
  Parameters:
    `build` - @NotNull
  Returns:
    A populated `BuildDefinition` object.

### updateBuildDefinition

    public void updateBuildDefinition(Build build)

  Description copied from interface: `BuildDefinitionManager`
  Updates the build definition in the cache

  Specified by:
    `updateBuildDefinition` in interface `BuildDefinitionManager`
  Parameters:
    `build` - @NotNull

### updateBuildDefinition

    public void updateBuildDefinition(Build build,
                                      BuildDefinition oldBuildDefinition)

  Specified by:
    `updateBuildDefinition` in interface `BuildDefinitionManager`

### removeBuildDefinition

    public void removeBuildDefinition(Build build)

  Specified by:
    `removeBuildDefinition` in interface `BuildDefinitionManager`

### setBuildDefinitionConverter

    public void setBuildDefinitionConverter(BuildDefinitionConverter buildDefinitionConverter)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.